<?php
/**
 * Links Submit Template
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_links_submit_default.php 3.5.2 1/28/2010 Clyde Jones $
 */
define('HEADING_LINKS_HELP', '<h1>Links Help</h1>');
define('TEXT_LINKS_HELP', '<b>Full Name:</b> Your full name.<br /><br /><b>Email Address:</b> Your email address. Please enter a valid email, as you will be notified via email.<br /><br /><b>Site Title:</b> A descriptive title for your website.<br /><br /><b>Site URL:</b> The absolute web address of your website, including the \'http://\'.<br /><br /><b>Link Category:</b> Most appropriate category under which your website falls.<br /><br /><b>Link Description:</b> A brief description of your website.<br /><br />');
if (SHOW_LINKS_BANNER_IMAGE == 'true') {
define('BANNER_IMAGE', '<b>Banner Image:</b> You may upload an image to be displayed along with your website link. If no image is uploaded, a default image will be displayed.<br /><br />');
} else {
define('BANNER_IMAGE', '');
}
if (SUBMIT_LINK_REQUIRE_RECIPROCAL == 'true') {
define('REQUIRE_RECIPROCAL', '<b>Reciprocal Page:</b> The absolute URL of your links page, where a link to our website will be listed/displayed.<br />Eg: http://your-domain.com/path/to/your/links_page.php');
} else {
define('REQUIRE_RECIPROCAL', '');
}
define('LINKS_HELP', TEXT_LINKS_HELP . BANNER_IMAGE . REQUIRE_RECIPROCAL);
define('TEXT_CLOSE_LINKS_HELP_WINDOW', '<u>Close Window</u> [x]');
//EOF