<?php
/**
 * Links Submit Template
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_links_submit_default.php 3.5.2 1/28/2010 Clyde Jones $
 */
define('NAVBAR_TITLE', 'Submit A Link');
define('NAVBAR_TITLE_1', 'Links');
define('NAVBAR_TITLE_2', 'Submit A Link');
define('HEADING_TITLE', '<h1>Links Submission</h1>');
define('TEXT_LINKS_LOGIN_PROMPT','You are required to login or create an account in order to submit a link');


define('SUBMIT_RULE', '<p>Please choose the most appropriate category for your link. <strong>' . STORE_NAME . '</strong> reserves the right to change the category or edit your description, if needed.</p>');
define('LINKS_SUCCESS', 'Your link has been successfully submitted! It will be added to our listing as soon as we approve it.<br>You will receive an email confirming your submittal. If you have not received it within the hour, please <a href="' . zen_href_link(FILENAME_CONTACT_US) . '">contact us</a>. Also, you will receive an email as soon as your link is approved.');
define('TEXT_MAIN', 'Please fill out the following form to submit your website.');
define('EMAIL_SUBJECT', 'Welcome to ' . STORE_NAME . ' link exchange.');
define('EMAIL_GREET_NONE', 'Dear %s,' . "\n\n");
define('EMAIL_WELCOME', 'Welcome to <b>' . STORE_NAME . '</b> link exchange program.' . "\n\n");
define('EMAIL_TEXT', 'Your link has been successfully submitted at ' . STORE_NAME . '. It will be added to our listing as soon as we approve it.' ."\n". 'You will receive an email about the status of your submittal. If you have not received it within the next 48 hours, please contact us before submitting your link again.' . "\n\n");
define('EMAIL_CONTACT', 'For help with our link exchange program, please email the store-owner: ' . STORE_OWNER_EMAIL_ADDRESS . "\n\n");
define('EMAIL_WARNING', '<b>Note:</b> This email address was given to us during a link submittal. If you have a problem, please send an email to ' . STORE_OWNER_EMAIL_ADDRESS . "\n\n");
define('EMAIL_OWNER_SUBJECT', 'Link submittal at ' . STORE_NAME);
define('EMAIL_OWNER_TEXT', 'A new link was submitted at ' . STORE_NAME . '. It is not yet approved. Please verify this link and activate.' . "\n\n");

//EOF