<?php
/**
 * Links Manager definitions
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_links_submit_default.php 3.5.2 1/28/2010 Clyde Jones $
 */

 /*  BOF Link Manager defines - Clyde Jones*/
	/*BOF Links Manager Sidebox definitions*/
define('BOX_HEADING_LINK_CATEGORIES', 'Links');
define('BOX_INFORMATION_LINKS_SUBMIT', 'Submit Link');
define('BOX_INFORMATION_VIEW_ALL_LINKS', 'View All Links');
	/*EOF Links Manager Sidebox definitions*/

	/*BOF Links Manager Button definitions*/
define('BUTTON_IMAGE_SUBMIT_LINK', 'button_submit_link.gif');
define('BUTTON_SUBMIT_LINK_ALT', 'submit link');
define('BUTTON_IMAGE_LINK_HELP', 'button_link_help.gif');
define('BUTTON_LINK_HELP_ALT', 'Link Help');
	/*EOF Links Manager Button definitions*/

	/* BOF Links Submit Form definitions */
define('RETURN_REQUIRED_INFORMATION', ' = Required Information<br />');
define('RETURN_OPTIONAL_INFORMATION', ' = Optional Information');
define('RETURN_OPTIONAL_IMAGE','optional.gif');
define('RETURN_OPTIONAL_IMAGE_ALT', 'optional information');
define('RETURN_OPTIONAL_IMAGE_HEIGHT', '12');
define('RETURN_OPTIONAL_IMAGE_WIDTH', '12');
define('RETURN_REQUIRED_IMAGE', 'star.gif');
define('RETURN_REQUIRED_IMAGE_ALT', 'required information');
define('RETURN_REQUIRED_IMAGE_HEIGHT', '12');
define('RETURN_REQUIRED_IMAGE_WIDTH', '12');
define('RETURN_WARNING_IMAGE', 'exclamation.gif');
define('RETURN_WARNING_IMAGE_ALT', 'warning');
define('RETURN_WARNING_IMAGE_HEIGHT', '16');
define('RETURN_WARNING_IMAGE_WIDTH', '16');

define('CATEGORY_CONTACT', 'Contact Information');
define('CATEGORY_WEBSITE', 'Website Details');
define('CATEGORY_RECIPROCAL', 'Reciprocal Page Details');

define('ENTRY_LINKS_CONTACT_NAME', 'Full Name:');
define('ENTRY_LINKS_URL', 'Site URL:');
define('ENTRY_LINKS_CATEGORY', 'Link Category:');
define('ENTRY_LINKS_CATEGORY_INFO', '<li><strong>Please choose the most appropriate category for your link</strong></li>');
define('ENTRY_LINKS_TITLE', 'Site Title:');
define('ENTRY_LINKS_DESCRIPTION', 'Link Description:');
define('ENTRY_LINKS_DESCRIPTION_INFO', '<li><strong>The Link Description Must contain between ' . ENTRY_LINKS_DESCRIPTION_MIN_LENGTH . ' &amp; ' . ENTRY_LINKS_DESCRIPTION_MAX_LENGTH . ' characters.</strong></li>');
define('ENTRY_LINKS_BANNER', 'Banner Image:');
define('ENTRY_LINKS_BANNER_INFO', '<li><strong>If you are uploading a banner image, please make sure that it is 150px wide and 30px high.</strong></li>');
define('ENTRY_LINKS_RECIPROCAL_URL', 'Reciprocal Page:');

define('ENTRY_LINKS_CONTACT_NAME_ERROR', '<span class="alert"><strong>Name must contain a minimum of ' . ENTRY_LINKS_CONTACT_NAME_MIN_LENGTH . ' characters.</strong></span>');
define('ENTRY_EMAIL_CHECK_ERROR', '<span class="alert"><strong>Your email address is required!</strong></span>');
define('ENTRY_LINKS_TITLE_MIN_ERROR', '<span class="alert"><strong>Title must contain a minimum of ' . ENTRY_LINKS_TITLE_MIN_LENGTH . ' characters.</strong></span>');
define('ENTRY_LINKS_TITLE_MAX_ERROR', '<span class="alert"><strong>Must contain less than ' . ENTRY_LINKS_TITLE_MAX_LENGTH . ' characters.</strong></span>');
define('ENTRY_LINKS_URL_ERROR', '<span class="alert"><strong>URL must contain a minimum of ' . ENTRY_LINKS_URL_MIN_LENGTH . ' characters.</strong></span>');
define('ENTRY_LINKS_DESCRIPTION_MIN_ERROR', '<span class="alert"><strong>Description is required!</strong></span>');
define('ENTRY_LINKS_DESCRIPTION_MAX_ERROR', '<span class="alert"><strong>No more than ' . ENTRY_LINKS_DESCRIPTION_MAX_LENGTH . ' characters.</strong></span>');
define('ENTRY_LINKS_RECIPROCAL_URL_ERROR', '<span class="alert"><strong>Reciprocal page must contain a minimum of ' . ENTRY_LINKS_URL_MIN_LENGTH . ' characters.</strong></span>');
define('ENTRY_ERROR_OCCURED', 'Errors have occured on your submission! Please correct and re-submit!');
define('WARNING_DEFAULT_FILE_UPLOADED', 'The ' . STORE_NAME . ' default Links Banner will be used for this link.');

	/* EOF Links Submit Form definitions */ 
/*  EOF Link Manager defines - Clyde Jones*/
//EOF